<?php

/*
** SellaNMS
** $Id: config.php.in,v 1.37 2005/05/22 05:43:01 sella Exp $
** Copyright (c) 2001,2002 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

/* General Parameters */

	$config['installBase']			= '@resolved_htmldir@';
	$config['language']				= 'english';
	$config['modules']				= array('Events' => 'events', 'Browser' => 'browser', 'Topology' => 'topology', 'Notifications' => 'notifications', 'Preferences' => 'prefs', 'About' => 'about');
	$config['defaultModule']		= 'events';
	$config['interval']				= 30;									/* Interval to check modules for updates. */
	$config['css']						= 'default';						/* Use default.css */


/* Display Parameters */

	$config['history-max']			= 25;									/* The number of events to view from the history for a element, interface or address. */
	$config['interfaceFilter']    = array('%-cef layer', '%-atm layer', '%-atm subif', 'Null0', 'fxp1%', 'gre', 'ipip', 'lsi', 'mtun', 'pimd', 'pime', 'tap', 'dsc', 'vt-%', 'lt-%', 'mt-%', 'pd-%', 'pe-%', 'ip-%', 'gr-%', '%802.1q%', 'qaa%', 'Atm Interface');


/* Debugging Parameters */

	$config['verifyConfig']			= true;								/* Verifies config file. Set false for a small speed increase. */ 
	$config['warn']					= true;								/* Displays warnings (ie: SAFE MODE warnings). */
	$config['debug']					= false;								/* Displays a lot of slightly useful or annoying information. */
	$config['remoteDebug']			= false;								/* Allows debugging to be enabled via a browser. See INSTALL. */


/* Database Parameters */

	$config['databaseServer']		= '@sella_nms_server@';			/* Hostname of the SQL server */
	$config['databasePort']			= '@sella_nms_port@';			/* SQL database name */
	$config['databaseName']			= '@sella_nms_database@';		/* SQL database name */
	$config['databaseUsername']	= '@sella_nms_username@';		/* SQL server user name */
	$config['databasePassword']	= '@sella_nms_password@';		/* SQL server password */
	$config['databasePersistent']	= true;								/* Use persistent database connections. */


/* Constants */

	$config['program']				= '@PACKAGE_NAME@';
	$config['version']				= '@PACKAGE_VERSION@';
	$config['cacheDir']				= 'tmp';
	$config['dateFormat']			= 'M j H:i';
	$config['fileSeparator']		= '/';								/* Would be '\\' for Windows. */
	$config['extSeparator']			= '.';
	$config['thisDir']				= '.';
	$config['parentDir']				= '..';

/*
 * Local Variables:
 * c-basic-offset: 3
 * tab-width: 3
 * End:
 * vim600: fdm=marker
 * vim: noet ts=3 sw=3 sts=3
 */

?>
